Namespace
library
Image / Tag
swift:5.9.1
Content Digest
sha256:5b17173ed09cf9eeb484c8d125ddbd9287bb64896430c060ad397c0d8618d299
Details
Created

2023-12-02 03:17:55 UTC

Size

775 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.9.1-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.9.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:cbe3537751ce03ea42788c2fbe2d5d336180dc2e20472c8cdba8b3224191d101 - 3.75% (29 MB)

[#001] sha256:3f081093b5c3c88cafae7a00f3f100eec6b36e48957e22d814a7e5b48d137ddf - 21.58% (167 MB)

[#002] sha256:75dd175653baa1bcc2652d876c36409eba2515ae4e77fcbfbc1534e44a52bd38 - 74.67% (579 MB)

[#003] sha256:76cb07e3612d920b5c4f933be0091d7b6f8531d7a51dbbdf41b7c3e2b9a32c56 - 0.0% (197 Bytes)


History
2023-12-01 07:49:48 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-12-01 07:49:48 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-12-01 07:49:48 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-12-01 07:49:48 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2023-12-01 07:49:50 UTC

/bin/sh -c #(nop) ADD file:36d444e2cede3abe58191dcf28890b874c0908f5259bf7e8855338555701c4c5 in /

2023-12-01 07:49:50 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-12-02 03:15:51 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-12-02 03:15:52 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-12-02 03:17:01 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-11-dev libpython3-dev libsqlite3-0 libstdc++-11-dev libxml2-dev libz3-dev pkg-config python3-lldb-13 tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2023-12-02 03:17:02 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-12-02 03:17:02 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04

2023-12-02 03:17:02 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9.1-release

2023-12-02 03:17:03 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9.1-RELEASE

2023-12-02 03:17:03 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-12-02 03:17:03 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.9.1-release SWIFT_VERSION=swift-5.9.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-12-02 03:17:49 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2023-12-02 03:17:55 UTC

/bin/sh -c swift --version

Details
Created

2023-12-02 07:40:55 UTC

Size

764 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.9.1-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.9.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:aeb9f260d781cd1e09daf0d0a9e5bcb581efce5b33b221f2f4a27de8db66e463 - 3.54% (27.1 MB)

[#001] sha256:cca4a95396cab9c97af09a0f509c01982856f6f11812957abac0aace40c496d3 - 21.42% (164 MB)

[#002] sha256:d9f2d8ff10bb11df8dd2fb3cfb1f42981a605370eb55185b20f076708998ba51 - 75.04% (574 MB)

[#003] sha256:7aba35250d005e77addbca9d3f4640c774eb2df432e58193af0a3b39011abc15 - 0.0% (199 Bytes)


History
2023-12-01 07:43:19 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-12-01 07:43:20 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-12-01 07:43:20 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-12-01 07:43:20 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2023-12-01 07:43:21 UTC

/bin/sh -c #(nop) ADD file:891dcab0c4ce2880c4dca013d326a3efd7601003b6f5076938d678101e301b79 in /

2023-12-01 07:43:22 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-12-02 07:38:42 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-12-02 07:38:42 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-12-02 07:39:49 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-11-dev libpython3-dev libsqlite3-0 libstdc++-11-dev libxml2-dev libz3-dev pkg-config python3-lldb-13 tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2023-12-02 07:39:53 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-12-02 07:39:53 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04

2023-12-02 07:39:53 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9.1-release

2023-12-02 07:39:53 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9.1-RELEASE

2023-12-02 07:39:53 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-12-02 07:39:53 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.9.1-release SWIFT_VERSION=swift-5.9.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-12-02 07:40:42 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2023-12-02 07:40:55 UTC

/bin/sh -c swift --version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete